{ stdenv, findutils, jq }:

stdenv.mkDerivation {
  name = "nixredo-1";
  phases = [ "installPhase" "fixupPhase" ];
  jq = "${jq}/bin/jq";
  buildernix = ./builder.nix;
  libnix = ./lib.nix;

  files = [ ./nixredo ./nixredo-deps ./nixredo-whichdo ./nixredo-gc ];
  find = "${findutils}/bin/find";

  installPhase = ''
    mkdir -p $out/bin
    for f in $files; do
      _f=$out/bin/nixredo''${f##*-nixredo}
      cp $f $_f
      substituteAllInPlace $_f
      chmod +x $_f
    done
  '';
}
